# Created by pyp2rpm-3.3.0
%global pypi_name httmock

Name:           python-%{pypi_name}
Version:        1.2.6
Release:        2%{?dist}
Summary:        A mocking library for requests

License:        ASL 2.0
URL:            https://github.com/patrys/httmock
Source0:        https://files.pythonhosted.org/packages/source/h/httmock/httmock-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/patrys/httmock/%{version}/tests.py
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-requests >= 1.0.0
BuildRequires:  python2-setuptools

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-requests >= 1.0.0
BuildRequires:  python%{python3_pkgversion}-setuptools

BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-requests >= 1.0.0
BuildRequires:  python%{python3_other_pkgversion}-setuptools

%description
A mocking library for requests for Python.
You can use it to mock third-party APIs and test libraries
that use requests internally.

%package -n     python2-%{pypi_name}
Summary:        %{summary}

Requires:       python2-requests >= 1.0.0
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
A mocking library for requests for Python.
You can use it to mock third-party APIs and test libraries
that use requests internally.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

Requires:       python%{python3_pkgversion}-requests >= 1.0.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
%description -n python%{python3_pkgversion}-%{pypi_name}
A mocking library for requests for Python.
You can use it to mock third-party APIs and test libraries
that use requests internally.

%package -n     python%{python3_other_pkgversion}-%{pypi_name}
Summary:        %{summary}

Requires:       python%{python3_other_pkgversion}-requests >= 1.0.0
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}
%description -n python%{python3_other_pkgversion}-%{pypi_name}
A mocking library for requests for Python.
You can use it to mock third-party APIs and test libraries
that use requests internally.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .

%build
%py2_build
%py3_build
%py3_other_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install
%py3_other_install

%check
%{__python2} setup.py test
%{__python3} setup.py test
%{__python3_other} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/%{pypi_name}.cpython-*

%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_other_sitelib}/%{pypi_name}.py*
%{python3_other_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_other_sitelib}/__pycache__/%{pypi_name}.cpython-*


%changelog
* Wed Nov 13 2019 Steve Traylen <steve.traylen@cern.ch> - 1.2.6-2
- Add python3 packages to epel7

* Fri May 11 2018 Steve Traylen <steve.traylen@cern.ch> - 1.2.6-1 1
- Back port to EPEL7

* Fri May 11 2018 Steve Traylen <steve.traylen@cern.ch> - 1.2.6-1
- Initial package.
